Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas
Class ServerConstants.Security

    java.lang.Object
      org.wso2.wsas.ServerConstants.Security

Enclosing class:
  ServerConstants

    public static class ServerConstants.Security

extends java.lang.Object

Field Summary
`static javax.xml.namespace.QName` | `CATEGORY_QN`
`static javax.xml.namespace.QName` | `DESCRIPTION_QN`
`static javax.xml.namespace.QName` | `ID_QN`
`static javax.xml.namespace.QName` | `LOCATION`
`static javax.xml.namespace.QName` | `MODULES_QN`
`static javax.xml.namespace.QName` | `PASSWORD`
`static java.lang.String` | `SECURITY_NAMESPACE`
`static javax.xml.namespace.QName` | `SUMMARY_QN`
`static javax.xml.namespace.QName` | `TYPE`

Constructor Summary
`ServerConstants.Security()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SECURITY_NAMESPACE

    public static final java.lang.String SECURITY_NAMESPACE

See Also:
  Constant Field Values

### SUMMARY_QN

    public static final javax.xml.namespace.QName SUMMARY_QN

### DESCRIPTION_QN

    public static final javax.xml.namespace.QName DESCRIPTION_QN

### ID_QN

    public static final javax.xml.namespace.QName ID_QN

### CATEGORY_QN

    public static final javax.xml.namespace.QName CATEGORY_QN

### MODULES_QN

    public static final javax.xml.namespace.QName MODULES_QN

### TYPE

    public static final javax.xml.namespace.QName TYPE

### PASSWORD

    public static final javax.xml.namespace.QName PASSWORD

### LOCATION

    public static final javax.xml.namespace.QName LOCATION

Constructor Detail

### ServerConstants.Security

    public ServerConstants.Security()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD